# Method: partners.devices.claim

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.ClaimDeviceResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/claim#body.aspect)

Claims a device for a customer and adds it to zero-touch enrollment. If the device is already claimed by another customer, the call returns an error.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:claim`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deviceIdentifier": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`) }, "sectionType": enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`), "deviceMetadata": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`) }, "preProvisioningToken": string, // Union field `customer` can be only one of the following: "customerId": string, "googleWorkspaceCustomerId": string // End of list of possible types for union field `customer`. } ``` |

| Fields ||
|---|---|
| `deviceIdentifier` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`)`` Required. Required. The device identifier of the device to claim. |
| `sectionType` | ``enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`)`` Required. The section type of the device's provisioning record. |
| `deviceMetadata` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceMetadata`)`` Optional. The metadata to attach to the device. |
| `preProvisioningToken` | `string` Optional. Must and can only be set for Chrome OS devices. |
| Union field `customer`. Required. The customer for whom the device is being claimed. `customer` can be only one of the following: ||
| `customerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the customer for whom the device is being claimed. |
| `googleWorkspaceCustomerId` | `string` The Google Workspace customer ID. |

### Response body

If successful, the response body contains data with the following structure:
Response message containing device id of the claim.

| JSON representation |
|---|
| ``` { "deviceId": string, "deviceName": string } ``` |

| Fields ||
|---|---|
| `deviceId` | `string (https://developers.google.com/discovery/v1/type-format format)` The device ID of the claimed device. |
| `deviceName` | `string` The resource name of the device in the format `partners/[PARTNER_ID]/devices/[DEVICE_ID]`. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).